Package robocode

## Class BulletMissedEvent

- java.lang.Object
- - robocode.Event
  - - robocode.BulletMissedEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<Event>`

    public final class BulletMissedEvent
    extends Event

This event is sent to `onBulletMissed` when one of your bullets has missed, i.e. when the bullet has reached the border of the battlefield.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`BulletMissedEvent​(Bullet bullet)` Called by the game to create a new `BulletMissedEvent`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Bullet` `getBullet​()` Returns the bullet that missed.

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulletMissedEvent

    public BulletMissedEvent​(Bullet bullet)

Called by the game to create a new `BulletMissedEvent`.

Parameters:
  `bullet` - the bullet that missed

### Method Detail

#### getBullet

    public Bullet getBullet​()

Returns the bullet that missed.

Returns:
  the bullet that missed